Skip to content

Get webhook subscription details

This endpoint allows you to retrieve the details of a webhook subscription. Such as the event type, merchant ID, and the URL endpoint where the webhook events will be sent.

Endpoint GET

http
/api/event-subscriptions/payment.status.changed

headers

http
'Content-Type: application/json'
'Accept: application/json'
'Authorization: Bearer access_token'

Parameters

http
merchant_id

HTTP Code sample

1curl --location --request GET 'https://api-gateway-sandbox.huch.tech/api/event-subscriptions/payment.status.changed?merchant_id=' \
2  --header 'Content-Type: application/json' \
3  --header 'Accept: application/json' \
4  --header 'Authorization: Bearer '

200 response

json
{
  "event_subscription_id": "1e3fb618-9aeb-445a-bc23-01d2a9c9dcc3",
  "merchant_id": "c45d2660-91e4-4166-ab76-f37f82fdb82e",
  "event_type": "payment.status.changed",
  "url": "https://example.com/endpoint"
}

Responses

StatusMeaningDescriptionSchema
200OKSuccessful operationEventSubscriptionResponse
404Not FoundNot foundNone
500Internal Server ErrorInternal errorsNone